import sys

sys.path.append("../")
from src.pgdb.chat.c_db import UPostgresDB
from src.pgdb.chat.chat_table import Chat
from src.pgdb.chat.c_user_table import CUser
from src.pgdb.chat.turn_qa_table import TurnQa

"""测试会话相关数据可的连接"""


def test():
    c_db = UPostgresDB(host="localhost", database="laechat", user="postgres", password="chenzl", port=5432)
    chat = Chat(db=c_db)
    c_user = CUser(db=c_db)
    turn_qa = TurnQa(db=c_db)

    chat.create_table()
    c_user.create_table()
    turn_qa.create_table()

    # chat_id, user_id, info, deleted
    chat.insert(["3333", "1111", "没有info", 0])

    # user_id, account, password
    c_user.insert(["111", "zhangsan", "111111"])

    # turn_id, chat_id, question, answer, turn_number, is_last
    turn_qa.insert(["222", "1111", "nihao", "nihao", 1, 0])


if __name__ == "main":
    test()
